About Vendor Contract Pricing & Rebates

Vendor Contract Pricing & Rebates (VCPR) can help you determine the optimum vendor contract when ordering items, based on item, quantity, and unit of measure data.

VCP updates the distributions to reflect net cost calculations. A window allows you to select invoice or rebate as submitted. Contract and rebate details are supported for returns based on the original invoice.

Functionality with Microsoft Dynamics GP multicurrency is currently not available.

For the latest documentation, visit the Binary Stream Portal (https://portal.binarystream.com/) External link.

From version 1.50.0.0 onwards, PLM supports New Zealand and GB/United Kingdom localization.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.
The topic is incomplete.
Could not find the right topic.

Send us your suggestions on how to improve this article.

C H M Footer Table
Binary Stream Portal Copyright © 2025 Binary Stream Software Inc.


What's New or Changed

Review the information on this screen to see what's new or changed in the latest versions of Vendor Contract Pricing & Rebates. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

2025

Closed Build 1401 (October 2024) for Microsoft Dynamics GP 18.4
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from GP18.7 to GP 18.8. | N/A | N/A | N/A

2024

Closed Build 1301 (October 2024) for Microsoft Dynamics GP 18.7
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from GP18.6 to GP 18.7. | N/A | N/A | N/A

2023

Closed Build 1201 (October 2023) for Microsoft Dynamics GP 18.6
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from GP18.5 to GP 18.6. | N/A | N/A | N/A

2022

Closed Build 1101 (November 2022) for Microsoft Dynamics GP 18.5
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from GP18.4 to GP 18.5. |  |  |

2021

Closed Build 1001 (November 2021) for Microsoft Dynamics GP 18.4
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from GP 18.3 (Build 901) to GP 18.4. |  |  |

2020

Closed Build 901 (December 2020) for Microsoft Dynamics GP 18.3
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from Microsoft Dynamics GP 18.2 (Build 803) to Microsoft Dynamics GP 18.3. |  |  |
Closed Build 803 (November 2020) for Microsoft Dynamics GP 18.2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Purchasing
Fixed Issue: On the Purchase Order Entry window, when the user changes the item number on an existing PO line and the new item number (combined with the existing vendor and existing quantity) matches a contract, the Unit Cost is being set to the GP default unit cost instead of the applicable VCP contract cost. | Transaction > Purchasing > Purchase Order Entry |  |
Fixed Issue: On the Purchase Order Entry window, when the user clears the Rebate Contract ID field when it already has a value, VCP displays the error message “This Contract does not exist”. Furthermore, the user cannot exit the field and will keep getting the error message when trying to exit the field unless the user manually types an existing Rebate Contract ID or deletes the line. | Transaction > Purchasing > Purchase Order Entry |  |
Closed Build 802 (March 2020) for Microsoft Dynamics GP 18.2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed Issue: On Vendor Contract Pricing’s alternate Sales Transaction Inquiry Zoom window, the document’s “Margin” field is calculated incorrectly if the invoice contains a Kit Item. | Inquiry > Sales > Transaction By Customer (Document Number zoom button) Inquiry > Sales > Transaction By Document (Document Number zoom button) |  |
Closed Build 615 (March 2020) for Microsoft Dynamics GP 2016 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed Issue: On Vendor Contract Pricing’s alternate Sales Transaction Inquiry Zoom window, the document’s “Margin” field is calculated incorrectly if the invoice contains a Kit Item. | Inquiry > Sales > Transaction By Customer (Document Number zoom button) Inquiry > Sales > Transaction By Document (Document Number zoom button) |  |

2019

Closed Build 801 (October 2019) for Microsoft Dynamics GP 18.2
  • Project
    • Upgraded from Microsoft Dynamics GP 2018 RTM (18.00.0628) to Microsoft Dynamics GP 18.2 October 2019 Release (18.2.1013).
Closed Build 722 (April 2019) for Microsoft Dynamics GP 2018 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Purchasing
Fixed issue: Error message pops up when changing Display Vendor Item settings in Purchase Order Entry or Receivings Transaction Entry while using the VCP extra window. Also fixed issue where BSSI PO Extra window does not properly close upon saving a new PO transaction. | Transactions > Purchasing > Purchase Order Entry Transactions > Purchasing > Receivings Transaction Entry |  |
Closed Build 614 (April 2019) for Microsoft Dynamics GP 2016 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Purchasing
Fixed issue: Error message pops up when changing Display Vendor Item settings in Purchase Order Entry or Receivings Transaction Entry while using the VCP extra window. Also fixed issue where BSSI PO Extra window does not properly close upon saving a new PO transaction. | Transactions > Purchasing > Purchase Order Entry Transactions > Purchasing > Receivings Transaction Entry |  |
Closed Build 721 (January 2019) for Microsoft Dynamics GP 2018 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Purchasing
Fixed Issue: Purchase Order Entry window would close unexpectedly when selecting the 'View' option 'Display Vendor Item' when using the VCP extra window. | Transactions > Purchasing > Purchase Order Entry |  |
Closed Build 613 (January 2019) for Microsoft Dynamics GP 2016 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Purchasing
Fixed Issue: Purchase Order Entry window would close unexpectedly when selecting the 'View' option 'Display Vendor Item' when using the VCP extra window. | Transactions > Purchasing > Purchase Order Entry |  |

2018

Closed Build 720 (November 2018) for Microsoft Dynamics GP 2018 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP2018 RTM July 2018 Hotfix (18.00.0496) to GP2018 R2 (18.00.0628) |  |  |
Closed Build 710 (July 2018) for Microsoft Dynamics GP 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: When returning a kit-item on the SOP entry window, the GP error message "Use the Sales Kit Return Options window to change the cost of components for the kit." would appear. | Sales > Transactions > Sales Transaction Entry |  |
Upgraded from GP 2018 RTM (18.00.0400) to GP 2018 RTM July 2018 Hotfix (18.00.0496). |  |  |
GP Series: VCP
Reverted locale-specific strings on alternate windows from Canadian version back to US version. The Canadian version of the strings were inadvertently introduced into the product during the upgrade to GP 2018 RTM done in December 2017, resulting in these inadvertent changes: Check > Cheque, Checkbook > Chequebook, Credit Memo > Credit Note, UPS Zone > Carrier Zone, State > Province, Zip Code > Postal Code. |  |  |
Closed Build 612 (July 2018) for Microsoft Dynamics GP 2016 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed Issue: When returning a kit-item on the SOP entry window, the GP error message "Use the Sales Kit Return Options window to change the cost of components for the kit." would appear. | Sales > Transactions > Sales Transaction Entry |  |
Closed Build 702 (April 2018) for Microsoft Dynamics GP 2018
  • Project
    • Added the ability to associate a vendor contract on the Purchase Order Preview window for purchase orders that are created on the Sales Transaction Entry window.
Closed Build 611 (April 2018) for Microsoft Dynamics GP 2016 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sale
Fixed issue: receiving the error message "Illegal Address for field 'BSSI_Rebate_Net_Cost'..." when checking the 'Drop Ship' checkbox on the sales line of the SOP_Entry window. | Transaction > Sales > Sales Transaction Entry window |  |
Closed Build 701 (February 2018) for Microsoft Dynamics GP 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 2016 R2 July 2017 hotfix to GP 2018 RTM |  |  |
Upgraded from GP 2016 to GP 2016 R2 July 2017 hotfix (​16.00.0620). |  |  |

2017

Closed Build 610 (August 2017) for Microsoft Dynamics GP 2016 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 2016 to GP 2016 R2 July 2017 hotfix (​16.00.0620). |  |  |
Closed Build 515 (August 2017) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Upgraded from GP 2015 R2 to GP 2015 R2 July 2017 hotfix (​14.00.1059). |  |  |

2016

Closed Build 603 (December 2016) for Microsoft Dynamics GP 2016
  • Project
    • Added the ability to associate a vendor contract on the Purchase Order Preview window for purchase orders that are created on the Sales Transaction Entry window.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: BSSI_Table_Exception report is displayed with all product tables listed when VCP is installed into a different company than the user is currently logged into, even though all tables were created successfully. |  |  |
Closed Build 508 (December 2016) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed issue: BSSI_Table_Exception report is displayed with all product tables listed when VCP is installed into a different company than the user is currently logged into, even though all tables were created successfully. |  |  |
Closed Build 602 (October 2016) for Microsoft Dynamics GP 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fix issue: The return journal entries use the wrong inventory amount when a customer return an rebate item from "Create Return" in the Sales Transaction Entry window. | Sales > Transactions > Sales Transaction Entry > Additional > Create Return |  |
Closed Build 507 (October 2016) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fix issue: The return journal entries use the wrong inventory amount when a customer return an rebate item from "Create Return" in the Sales Transaction Entry window. | Sales > Transactions > Sales Transaction Entry > Additional > Create Return |  |
Closed Build 601 (July 2016) for Microsoft Dynamics GP 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Upgraded from GP 2015 R2 to GP 2016. |  |  |
Closed Build 506 (June 2016) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Purchasing
Fix issue: The customer find that it is not always releasing the commitment when the PO is canceled. So when you enter the replacement PO you get a message "The quantity entered is greater than the Remaining quantity on the contract. Do you want to override?" | Transactions > Purchasing > Purchase Order Entry |  |
GP Series: Vendor Contract Pricing
Fixed issue that customer cannot save the note for the contract in the contract maintenance window. | Vendor Contract Pricing > Cards > Vendor Contract Pricing > Contract Maintenance |  |
Closed Build 404 (June 2016) for Microsoft Dynamics GP 2013 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Purchasing
Fix issue: The customer find that it is not always releasing the commitment when the PO is canceled. So when you enter the replacement PO you get a message "The quantity entered is greater than the Remaining quantity on the contract. Do you want to override?" | Transactions > Purchasing > Purchase Order Entry |  |
GP Series: Vendor Contract Pricing
Fixed issue that customer cannot save the note for the contract in the contract maintenance window. | Vendor Contract Pricing > Cards > Vendor Contract Pricing > Contract Maintenance |  |
Closed Build 505 (May 2016) for Microsoft Dynamics GP 2015 R2
  • Project
    • Added the ability to open the National Accounts for Payables documentation by pressing F1 in all Binary Stream windows. You can also open the National Accounts for Payables documentation from the Help menu.
    • Limited and self-service users can open Binary Stream custom windows. Previously, limited and self-service users received the following error message:
      You don't have security privileges to open this window.
Closed Build 504 (March 2016) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed an issue where opening the Sales Transaction Inquiry Zoom window the user would get a "Unhandled script exception: Illegal address for field 'local field' in script 'SOP_Inquiry_WIN_PRE'. Script Terminated." | Inquiry > Sales > Sales Documents |  |

2015

Closed Build 503 (November 2015) for Microsoft Dynamics GP 2015 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed SQL/Dexterity error message on window pre of Sales Transaction Entry window. | Transactions > Sales > Sales Transaction Entry |  |
Closed Build 502 (September 2015) for Microsoft Dynamics GP 2015
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with Installation Wizard where installing product into two companies would throw error "The store procedure GrantAccess() wof form SQL Maintenance: 69: Pass Through SQL returned the following results: DBMS: 15151, Microsoft Dynamics GP: 0." |  |  |
Upgrade from GP 2015 RTM to GP 2015 R2. |  |  |
Closed Build 501 (January 2015) for Microsoft Dynamics GP 2015
  • Project
    • In the Registration window, you can specify the number of days before the trial registration key expiration date to receive a warning.
      Path: Microsoft Dynamics GP > Tools > Setup > System > Binary Stream Registration > Notification Setup Button
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded VCP from GP 2013 R2 to GP 2015. |  |  |
GP Series: Sales
Fixed issue with Unit Cost being 0.00 when using a dropship, non-contract item. | Transaction > Sales > Sales Transaction Entry |  |

2014

Closed Build 403 (December 2014) for Microsoft Dynamics GP 2013 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed issue with Unit Cost being 0.00 when using a dropship, non-contract item. | Transaction > Sales > Sales Transaction Entry |  |
Closed Build 402 (December 2014) for Microsoft Dynamics GP 2013 R2
  • Project
    • When the Contract Listview is opened, you must select a filter before the contract records appear in the window.
      Path: Microsoft Dynamics GP > Tools > Utilities > Vendor Contract Pricing > Contract Listview
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed issue where the unit cost used for Invoice distributions was incorrect for a dropship item and when the Net Cogs options being used. | Transaction > Sales > Sales Transaction Entry |  |
Closed Build 401 (November 2014) for Microsoft Dynamics GP 2013 R2
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded VCP from GP 2013 SP1 to GP 2013 R2. |  |  |
Fixed issue where Days Remaining on Trial not appearing if user was using Trial Reg Keys. |  |  |
Closed Build 304 (October 2014) for Microsoft Dynamics GP 2013 SP 1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed an issue where the COGS and INV distributions were not being created when posting an SOP Invoice with a Kit Item, if the Enable Net COGS options was selected on VCP System Setup. | Transaction > Sales > Sales Transaction Entry |  |
Fixed issue where creating COGS and INV distribution amounts were incorrect if SOP Invoice contained two lines with the same item. | Transaction > Sales > Sales Transaction Entry |  |
Closed Build 303 (June 2014) for Microsoft Dynamics GP 2013 SP 1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed an issue where in when user tries to manually enter the contract in sales transaction entry window, its not validating if the customer exist in contract. | Transaction > Sales > Sales Transaction Entry window |  |
Closed Build 302 (May 2014) for Microsoft Dynamics GP 2013 SP 1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Sales
Fixed an issue where in Contract lookup button in sales transaction entry window wasn’t displaying the list of contracts associated with the Item Customer combination. | Transaction > Sales > Sales Transaction Entry window |  |

2013

Closed Build 301 for Microsoft Dynamics GP 2013 SP 1
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 11 SP2 (Build 20) to GP 2013 SP1. |  |  |

See also

Known Issues and Limitations

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Known Issues and Limitations

The following list of known issues and limitations are in the current versions of Vendor Contract Pricing & Rebates.

For the most current information about the latest version, see the Readme file that is included with the installation file.

  • Alternate/Modified Forms and Reports window

    When you use this window to select to use the alternate window for any Binary Stream program, you can usually see which Microsoft Dynamics GP windows have alternate Binary Stream windows.

    For example, when you set Product to Vendor Contract Pricing, you can see all the modules and windows where you can select the Binary Stream window.

    However, a known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available.

    If you have multiple programs that have an alternate window for the same Microsoft Dynamics GP window and you have already selected the alternate window for one of the programs, the list of windows for a different program does not show all the current windows that have an alternate window.

    For example, you have two Binary Stream programs installed, Multi-Entity Management and Property Management. In the Alternate/Modified Forms and Reports window, you already selected to use the alternate Multi-Entity Management window for the Receivables Transaction Entry window. When you set Product to Property Management, the Receivables Transaction Entry window does not appear in the list for you to select the alternate window.

    To be able to see all windows for a particular program, in the Alternate/Modified Forms and Reports window, set Product to All Products. You can then expand the modules to see which windows have the alternate window you want to use. Closed View image.

  • Purchase Requisition Entry window

    • VCPR currently does not integrate with the Purchase Requisition Entry window. If you want to associate a vendor contract with a purchase order that is created from the Purchase Requisition Entry window, you can create the purchase order, and then on the Purchase Order Preview window select the vendor contract to associate with the purchase order.

    Note icon. Note: The purchase requisition is not associated with the vendor contract, nor does the vendor contract affect the cost on the purchase requisition. Only the purchase order generated from the Purchase Requisition Entry window is associated with the vendor contract. Also, the cost on the purchase order is adjusted accordingly.

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Contract Pricing & Rebates Installation Overview

Review this information for installing the Binary Stream program in your Microsoft Dynamics GP environment. When you install the latest version of Vendor Contract Pricing & Rebates (VCPR), you perform the following activities:

  • Downloading and extracting the installation files
  • Uninstalling the previous version and exporting modified forms and reports
  • Installing the latest version on Windows and in GP
  • Registering your software and importing modified forms and reports

Also, you can review information on shortcut and security setup, troubleshooting, and removing VCPR.

Only a qualified and experienced Microsoft Dynamics GP consultant should install and configure third-party software for Microsoft Dynamics GP. If your authorized reseller cannot install this software, Binary Stream Software can recommend a suitable consultant.

Important: Before you begin the installation and as a best practice, back up your environment (including all Microsoft Dynamics GP folders and Microsoft Dynamics GP databases). If any issues arise during installation, the backup copy of your environment provides a starting point for restoring your environment.

Note icon. Note: The Pathnames window is not currently supported.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Requirements

To check if your computer meets all hardware and system requirements, review the article in the Microsoft documentation: System Requirements for Microsoft Dynamics GP [image].

Note icon. Note: Many Microsoft Dynamics GP processes require some additional processing steps when the Binary Stream program is installed and enabled. Therefore, both programs perform best when you configure your system to exceed the minimum requirements that Microsoft suggests.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installation Checklist

Print this checklist before you begin your installation of Vendor Contract Pricing & Rebates. Use this checklist to as a guide to select the tasks you perform, and then, check off the tasks as they are completed.

This checklist is for installing Vendor Contract Pricing & Rebates only. For a checklist for installing Microsoft Dynamics GP, review the Microsoft Dynamics GP installation instructions for the version of Microsoft Dynamics GP that you are installing.

To Do | Task | Completed
Vendor Contract Pricing & Rebates
 | Downloading the Installation Files |
 | Extracting the Installation Files |
 | Uninstalling the Previous Version of Vendor Contract Pricing & Rebates |
 | Exporting Modified Forms and Reports |
 | Installing within Windows |
 | Installing within GP |
 | Registering |
 | Importing Modified Forms and Reports |
 | Using Alternate Forms and Reports |
 | Setting Up User Security |

See also

Installation Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Operational Checklist

Vendor Contract Pricing & Rebates does not require separate daily, monthly, and annual procedures. All data from Vendor Contract Pricing & Rebates is saved within the Microsoft Dynamics GP database. For information on how to perform daily, monthly, and annual procedures and database backups, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Downloading the Vendor Contract Pricing & Rebates Installation Files

You can download the installation files from a compressed (zipped) folder from the Binary Stream Portal (https://portal.binarystream.com/) External link. The files that you download have the following naming convention:

  • Software files: VCPR_Install_GPvers_Build#_YYYYMMDD.zip

For example, VCPR_Install_GP2018_BLD501_20180703.zip

Where:

  • GPvers = GP2018
  • Build# = BLD501

To download the installation files, follow these steps:

  1. Go to the Binary Stream Portal [image] .
  2. Select the link for Dynamics GP Portal [image], and log in with your Username and Password.
  3. On the Binary Stream GP Ticketing Center page, select the Knowledge Base and Downloads [image] link.
    On the page that appears, you might have to log in again.
  4. In the navigation on the left, select Binary Stream Downloads [image] to expand the tree, and then select the product you want.
    If you do not see the product you want, contact Binary Stream support: gpsupport@binarystream.com.
  5. From the list of files to download, select the compressed zipped folder you want.
    The file is automatically downloaded to your computer.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extracting the Vendor Contract Pricing & Rebates Installation Files

After you save the compressed (zipped) installation folder to your computer, you must extract the files to be able to run the installer (.msi) file to install the program.

To extract the installation files, follow these steps:

  1. In the File Explorer, go to the folder location where you saved the compressed (zipped) installation folder.
  2. Right-click the compressed (zipped) folder, and select Extract All.

The compressed (zipped) folder contains the following items:

Installation Files Table
File Name | Description
VCP_GPvers_Setup.msi | The installer file for the Binary Stream program and the EULA. Note icon. Note: The installer is for a 64-bit operating system only.
Readme_VCP_GPvers.pdf | The Readme file updated for the latest build. Provides information on all enhancements and issues that were fixed in the release.
VCP_WebClient_HelpFiles.zip | The documentation for the Microsoft Dynamics GP web client. Note icon. Note: If this format is not available from the compressed (zipped) installation folder, you can access it on the Binary Stream Portal (https://portal.binarystream.com/) External link .
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Exporting Modified Forms and Reports

Before you upgrade Vendor Contract Pricing & Rebates, you must export any modified forms and reports to a package file. After you finish upgrading Vendor Contract Pricing & Rebates, use the package file to import the modified forms and reports.

Note icon. Note: It is important to export and then import the modified forms and reports so that you can continue using them without any issues or errors. If you do not export and import the modified forms and reports, you will experience issues. For example, you might see messages such as:

Parameter type incompatible in user defined function call

When you export the modified forms and reports, you perform the following activities:

  • Export Modified Forms and Reports
  • Rename Modified Forms and Report Dictionaries

Export Modified Forms and Reports

To export VCPR modified forms and reports to a package file, follow these steps:

  1. In Microsoft Dynamics GP, open the Customization Maintenance window (Microsoft Dynamics GP > Tools > Customize > Customization Maintenance).
  2. Select the Product column header, which sorts the modified forms and reports by product name.
  3. Scroll down until you see the modified forms and reports for Vendor Contract Pricing.
    If you do not see Vendor Contract Pricing, you can stop at this step. You do not have any VCPR modified forms and reports.
  4. Select all of the modified forms and reports for Vendor Contract Pricing.
  5. Select Export.
  6. In the Please select a package file window, specify a name for the package file, and select Save.
  7. To confirm that the export was successful, check the status bar of the Customization Maintenance window.
  8. Close the Customization Maintenance window.
  9. Exit Microsoft Dynamics GP.

Rename Modified Forms and Report Dictionaries

To rename the VCPR modified forms and reports dictionaries, follow these steps:

  1. In the File Explorer, go to the folder where the VCPR modified forms and reports dictionaries are saved.
    For example, C:\Program Files (x86)\Microsoft Dynamics\GP2013\Data.
  2. Find the VCPR modified forms and reports dictionaries, which are usually named BSSI52FRMS.DIC and BSSI52RPTS.DIC, respectively.
    Note icon. Note: If you do not have any VCPR modified forms, you will not have a forms dictionary. Similarly, if you do not have any VCPR modified reports, you will not have a reports dictionary.
  3. Rename the dictionaries.
    For example, add the word BACKUP - BSSI52FRMS_BACKUP.DIC and BSSI52RPTS_BACKUP.DIC.

After you export the modified forms and reports, and rename the dictionaries, you are ready to install VCPR. After VCPR is installed, you can then import the VCPR modified forms and reports from the package file that you just exported.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Uninstalling the Previous Version of Vendor Contract Pricing & Rebates

When you upgrade VCPR from a previous version, you must remove it in Windows before you run the installation file (.msi). By removing VCPR, you ensure that any VCPR application libraries are replaced with the most current versions.

Also as a best practice before uninstalling VCPR, back up your current environment, and rename the BSSI52.dic file.

Tip: For some Binary Stream programs, you can run the installer file (.msi) and you get the option of repairing or removing the program. If the installer file gives you the option to repair or remove VCPR, select to remove the program. You can then skip these steps and advance to the next section for installing VCPR. If you do not get the option, select Cancel to exit the installer and follow the instructions to uninstall VCPR.

When you uninstall VCPR, follow these steps:

  1. Back up your current Microsoft Dynamics GP environment, including all Microsoft Dynamics GP folders and databases.
  2. In the File Explorer, go to the GP<Version> folder and find the file named BSSI52.dic.
  3. Rename BSSI52.dic to a different name, for example BSSI52_BACKUP.dic.
  4. From the Start menu, open the Control Panel.
  5. In Programs, select Uninstall a program, which opens the Programs and Features window.
  6. In the list of programs, select the program you want to uninstall, and select Uninstall.
  7. Follow the prompts to finish uninstalling the program.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing Vendor Contract Pricing & Rebates within Windows

When you install VCPR, you must run the installer (.msi) file on each individual server or client computer that has Microsoft Dynamics GP installed.

To install VCPR within Windows, follow these steps:

  1. In the File Explorer, go the folder where you extracted the installation files, and double-click VCPR_GPvers_Setup.msi.
  2. On the first page of the Installation Wizard, select Next to proceed with the installation.
  3. Read the License Agreement, select I Agree, and select Next.
  4. In the Select Installation Folder window:
    • In Folder, select the folder where Microsoft Dynamics GP is installed.
      If you installed Microsoft Dynamics GP to the default location, you do not have to change the value in this box.
    • To allow anyone using the computer to use VCPR, select Everyone.
  5. Select Next.
  6. In the Confirm Installation window, select Next.
    The installation can take a few moments.
  7. When the installation finishes, select Close.

After the installation is complete, you can find the following files in the GPVersion folder.

Windows Installation Files Table
File Name | Description
BSSI52.cnk | After you start GP, this file is converted to BSSI52.DIC.
BSSI EULA Modified.rtf | This file is your End-User License Agreement.
VCPR.chm | This file is the documentation for the Windows client version of Microsoft Dynamics GP. Note icon. Note: Some products do not have this format of documentation. In these cases, only a PDF file of the documentation is available.

If a Web client format of the documentation is available, the installer file copies it to the following folder: Microsoft Dynamics\GP Web Components\GPweb\Help\VCPR. Remember, not all BSSI programs have a .chm file. If the program has a .chm file, the Web client documentation might be available as well.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing Vendor Contract Pricing & Rebates within Microsoft Dynamics GP

After the software is installed in Windows, you must complete the installation by installing the software in Microsoft Dynamics GP. When you restart Microsoft Dynamics GP, the BSSI software chunk file is automatically run at the same time, and starts the BSSI Installation Wizard.

When you install VCPR in Microsoft Dynamics GP, you do the following:

  • Install the new code in the GPVersion folder.
    You must perform this activity on each computer that ran the installation file.
  • Install or update VCPR in each company (database) that you want to use it in.
    You must perform this activity on only one computer (usually the server computer) where you ran the VCPR installation file.

Note icon. Note: To install third-party software that integrates with GP, always log on with the system administrator (sa) user account.

Install the Software in Microsoft Dynamics GP

To install the software in Microsoft Dynamics GP, follow these steps:

  1. Start GP, and log on with the system administrator (sa) account.
    The Dexterity Runtime dialog box appears with the following message:
    New code must be included in the Dynamics.set dictionary. Do you wish to include new code now?
  2. To include the new code, select Yes.

Update the Microsoft Dynamics GP Database

To update each company database, follow these steps:

  1. After the new code is installed to Microsoft Dynamics GP, the logon window appears. Log on to Microsoft Dynamics GP with the system administrator (sa) user account.
  2. When you see the BSSI Installation Wizard, select Next.
  3. In the BSSI System Install window, for each company database that you want to use VCPR select the Install check box.

  4. After you select all the company databases that you want, select Next, which starts the installation.

For a new installation, the installation can take a few minutes to complete.
For an upgrade, the installation can take a few minutes or a few hours, depending on the number and size of each database that you are updating.

You can see the progress bar on the BSSI Installation Wizard for the status of the installation process.

Tip: If you want to access the BSSI Installation Wizard at another time, create a shortcut to the BSSI Installation Wizard window in the Navigation pane on your Microsoft Dynamics GP home page.

Note icon. Note: If other users have problems accessing the third-party software, run a Grant.sql script to give the users access to all third-party software.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Registering Vendor Contract Pricing & Rebates

After the program is installed in Microsoft Dynamics GP, the BSSI Registration window appears. You use the BSSI Registration window to type your registration key and activate the program. If you do not have a registration key, contact Binary Stream for assistance.

Note icon. Note: If you use VCPR with the sample database (Fabrikam), you do not need a registration key.

To register the software, follow these steps:

  1. If the BSSI Registration window is not open, in Microsoft Dynamics GP, select Tools > Setup > System > Binary Stream Registration.
  2. Enter the registration key as follows:
    • For new customers with permanent keys, type the registration key value in Permanent Keys.
    • For demonstration users with trial keys, type the registration key value in Trial Keys.
    • For Microsoft Services Providers License Agreement (SPLA) users with SPLA keys, type the registration key value in Trial Keys.
  3. Check that Site Name shows your company name.

  4. If you have Trial Keys, you can complete this optional step.
    1. Select Notification Setup, which opens the User/Reg Key Notification Setup window.
    2. You can set the Number of Days before the trial key expiration date to notify each user. By default, all users are notified 30 days before the expiration date.
      • If you want all users to have the same number of days' notice, in Default Number of Days, specify the number of days' notice.
        The list is updated so that all user IDs have the same value in the Number of Days column.
      • If you want each user to have different number of days' notice, in the list, specify the Number of Days for each User ID.

      Note icon. Note: If the Number of Days for a user is set to zero (0), the trial key expiry warning does not appear for the specific user.
  5. To complete the registration, select OK .
  6. When the registration is completed, log off of Microsoft Dynamics GP, and log back on again.

Tip: If you want to access the registration at another time, create a shortcut to the BSSI Registration window in the Navigation pane on your Microsoft Dynamics GP home page.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Modified Forms and Reports

Before you upgrade VCPR, you must export any VCPR modified forms and reports to a package file. After you finish upgrading VCPR, use the package file to import the modified forms and reports.

Note icon. Note: It is important to export and then import the VCPR modified forms and reports so that you can continue using them without any issues or errors. If you do not export and then import the VCPR modified forms and reports, you will experience issues. For example, you might see messages such as:

Parameter type incompatible in user defined function call

Before you can import the modified forms and reports, you must have already completed the following activities:

  • Exporting Modified Forms and Reports
  • Installing Vendor Contract Pricing & Rebates within Windows
  • Installing Vendor Contract Pricing & Rebates within Microsoft Dynamics GP

To import the VCPR modified forms and reports from the package file, follow these steps:

  1. Start Microsoft Dynamics GP.
  2. Open the Customization Maintenance window (Microsoft Dynamics GP > Tools > Customize > Customization Maintenance).
  3. Select the Product column header, which sorts the modified forms and reports by product name.
    If you successfully renamed the dictionary files, you should not see any VCPR modified forms and reports as you scroll through the Customization Maintenance window.
    If you do see some, go back to the steps where you renamed the dictionary files, and try again.
  4. Select Import.
  5. On the Import Package File window, select Browse.
  6. Go to the folder location where you saved the package file, select it, and select Open.
    In the Import Package File window, you should see the VCPR modified forms and reports that you are about to import.
  7. To import the package file, select OK.
  8. To confirm that the import was successful, check the status bar of the Customization Maintenance window.
  9. In the Customization Maintenance window, select the Product column header, and scroll down until you see the modified forms and reports for Vendor Contract Pricing.
    You should see the VCPR modified forms and reports that you just imported.

For more information on importing and exporting package files, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using Alternate Forms and Reports

To be able to use the windows and reports from Vendor Contract Pricing & Rebates in the Microsoft Dynamics GP modules that you have purchased and registered, you must enable the alternate VCPR window and reports.

To use the alternate windows and reports, follow these steps:

  1. In Microsoft Dynamics GP, open the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).
  2. Specify an ID and Description for the set of alternate forms and reports that you are creating for your users.
    For example, in ID, type VCPR_USER and in Description, type Alternate forms and reports for VCPR.
  3. In Product, select Vendor Contract Pricing.

    4. Note icon. Note: A known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available. For more information, review the Known Issues and Limitations.

  4. To use the VCPR alternate forms instead of the Microsoft Dynamics GP version, do the following:
    1. In Type, select Windows.
    2. To display windows for a particular Microsoft Dynamics GP series, in Series, select the series you want to see.
    3. In Alternate/Modified Forms and Reports List, expand each Microsoft Dynamics GP series name, and then expand the window name.
    4. For each window where you want to use the VCPR alternate form instead of the Microsoft Dynamics GP version, select the Vendor Contract Pricing option.
      For example, select the VCPR alternate version of the window in the selected Microsoft Dynamics GP series.
      Tip: To change to use all VCPR alternate forms in a single action, set the Select box to Vendor Contract Pricing, and then select Change All.
  5. To use the VCPR alternate reports instead of the Microsoft Dynamics GP version, repeat the previous step with Type set to Reports.
    For example, select the VCPR alternate version of the report in the selected Microsoft Dynamics GP series.
  6. When you are finished, select Save.
  7. Repeat these steps for each Microsoft Dynamics GP series for which you purchased the corresponding module.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up User Security

For all users, except the system administrator (sa), you must set up a security task and a security role that gives user access to custom Vendor Contract Pricing & Rebates windows (forms) and reports.

To set up security for a custom window, complete the following activities:

  1. Create a security task.
  2. Create a security role to allow access to the security task.
  3. Assign a security role to a user.

Note icon. Note: Depending on your security requirements, you might want to setup several security tasks.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Security Task

To help facilitate the process of creating security tasks, the following security tasks are automatically created with your Vendor Contract Pricing & Rebates installation:

To create a security task, follow these steps:

  1. Open the Security Task Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Tasks).
  2. If you are asked for your password, type your password and select OK.
  3. In the Security Task Setup window, specify a Task ID, Task Name, and Task Description.
    For example, you could type VCP_TASKS in all three boxes.
  4. In Category, select Project.
  5. In Product, select Vendor Contract Pricing.
  6. In Type, select Windows.
  7. In Series, select Project.
  8. Select Mark All to select all of the window titles in the Access List.
  9. If you do not want the task ID to have access to certain windows, clear the check box for the window name.
  10. In Type, change the value to Reports, and in Series, select Project.
  11. Select Mark All to select all of the report titles in the Access List.
  12. If you do not want the security task ID to have access to certain reports, clear the check box for the report name.
  13. Select Save.

See also

Setting Up User Security

Creating a Security Role

Assigning a Security Role to a User

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Security Role

To help facilitate the process of creating security roles, the following security roles are automatically created with your Vendor Contract Pricing & Rebates installation:

To create a security role, follow these steps:

  1. Open the Security Role Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Roles).
  2. If you are asked for your password, type your password and select OK.
  3. In the Security Role Setup window, specify a Role ID, Role Name, and Role Description.
    For example, you could type VCP_ROLE in all three boxes.
  4. In the list, select the Security Task ID that you created (for example, VCP_TASKS).
  5. Select Save.

See also

Setting Up User Security

Creating a Security Task

Assigning a Security Role to a User

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assigning a Security Role to a User

To assign a security role to a user, follow these steps:

  1. Open the User Security Setup window (Microsoft Dynamics GP > Tools > Setup > System > User Security).
  2. If you are asked for your password, type your password and select OK.
  3. In the User Security Setup window, select a User ID.
  4. Select a Company name.
  5. Under Roles, select the Security Role ID that you created (for example, VCP_ROLE).
  6. In Alternate/Modified Forms and Reports ID, select the alternate forms and reports ID you created.
  7. Select Save.
  8. Repeat these steps for all users and companies that use VCPR.

See also

Setting Up User Security

Creating a Security Task

Creating a Security Role

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Window Shortcuts

You can set up shortcuts to VCPR windows in the Microsoft Dynamics GP Navigation Pane.

Note icon. Note: After you update the software, you might have to recreate your shortcuts.

To create a shortcut to a window, follow these steps:

  1. On the upper-right corner of the Microsoft Dynamics GP window, select Layout [image], and select Navigation Pane to show the Navigation pane on the left side of the main window.
  2. In the Navigation pane, expand the Shortcuts folder so you can see the items below it.
  3. Right-click the Shortcuts folder and select Add > Folder.
    A folder named New Folder appears below the Shortcuts folder.
  4. Rename the new folder, by right-clicking it and selecting Rename.
    For example, rename the folder to Vendor Contract Pricing.
  5. Right-click on the new folder and select Add > Add Window.
  6. In the Add Window Shortcut window, in the Available Windows list, expand the Vendor Contract Pricing node to show all of the Microsoft Dynamics GP series.
  7. For each VCPR window to which you want to add a shortcut, do the following:
    1. Expand the series node.
    2. Select the window name.
    3. Select Add.
  8. When you have finished adding shortcuts, select Done.
  9. Go to the Navigation pane, and expand the new folder to see the window shortcuts you added.

Tip: For system administrators, it is useful to add shortcuts to the BSSI Installation Wizard, BSSI Registration, and the BSSI About Box windows. When you add a shortcut for a window, you can find these windows under the Vendor Contract Pricing node, and then under the Project series.

If you already have a window open, you can create a shortcut directly from the open window:

  1. Select the window.
  2. From File, select Add to Shortcuts.
    The new shortcut appears under the root folder of the Navigation pane.
  3. Drag the shortcut to the folder where you want the shortcut to appear.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Implementing Vendor Contract Pricing & Rebates

Only a qualified and experienced Microsoft Dynamics GP consultant should work with you to integrate Vendor Contract Pricing & Rebates with your Microsoft Dynamics GP environment, data, and processes.

Typical implementation tasks include the following:

  • Setting up a test system
  • Installing and configuring the software
  • Importing data
  • Setting up users, security, and other options
  • Testing your scenarios
  • Going live with your production database
  • Training end users and on-site system administrators

Implementation Service

If your authorized reseller cannot help you with your integration, contact Binary Stream Software for integration and training services.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Vendor Contract Pricing & Rebates

To remove Vendor Contract Pricing & Rebates from your Microsoft Dynamics GP environment, you must perform the following activities in the order shown:

  1. Removing the product tables from all companies, or from one company
  2. Removing the product information and dictionaries
  3. Removing the product in Windows

Note icon. Note: The instructions vary depending on whether you remove Vendor Contract Pricing & Rebates from all company databases or just one company database.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Vendor Contract Pricing & Rebates Tables in Microsoft Dynamics GP

Before you can remove Vendor Contract Pricing & Rebates, you must remove the product tables in the DYNAMICS and company databases. However, the steps depend on whether you want to remove Vendor Contract Pricing & Rebates from all company databases or just one company database.

Important: Before you proceed with either of these steps, make a backup of your DYNAMICS and company databases.

Closed Remove VCPR from all company databases

To delete the product tables for VCPR in the DYNAMICS database, follow these steps:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of your DYNAMICS database (the default name is DYNAMICS).
  3. In Product, select Vendor Contract Pricing.
  4. Perform this step depending on how many Binary Stream software programs you have installed:
    • If VCPR is the only Binary Stream software program installed, select all the tables, select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed and you want to remove only VCPR, select all of the tables except the following tables:
      • BSSI_SY_Company_MSTR
      • BSSI_Registration
      • BSSI_RegExp_Date
      Select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_SY_Company_MSTR table, run the following script against the DYNAMICS database to remove the product reference from the BSSI_SY_Company_MSTR table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines:

    Note icon. Note: If your DYNAMICS database does not use the default name, you must change it in the following use statement.

    use DYNAMICS
    delete from BSSI0300 where BSSI_Product_ID = '5150'
  4. Select Execute.

To delete the product tables for VCPR in all company databases, follow these steps for each company database:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of the company database (for example, TWO20).
  3. In Product, select Vendor Contract Pricing.
  4. Perform this step depending on how many Binary Stream software products you have installed:
    • If VCPR is the only Binary Stream software product installed in the selected company, select all the tables , select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed in the selected company, and you want to remove only VCPR, select all of the tables except the BSSI_Product_Setup table, select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_Product_Setup table, run the following script against the company database to remove the product reference from the BSSI_Product_Setup table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines (but replace TWO20 with the name of the company database):

    use TWO20
    delete from BSSI0200 where BSSI_Product_ID = '5150'
  4. Select Execute.
Closed Remove VCPR from one company database

To remove VCPR from one company database only, follow these steps:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of the company database (for example, TWO20).
  3. In Product, select Vendor Contract Pricing
  4. Perform this step depending on how many Binary Stream software products you have installed:
    • If VCPR is the only Binary Stream software product installed in the selected company, select all the tables, select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed in the selected company, and you want to remove only VCPR, select all of the tables except the BSSI_Product_Setup table, select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_Product_Setup table, run the following script against the company database to remove the product reference from the BSSI_Product_Setup table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines (but replace TWO20 with the name of the company database):

    use TWO20
    delete from BSSI0200 where BSSI_Product_ID = '5150'
  4. Select Execute.
  5. From the BSSI0300 table in the DYNAMICS database, run the following query to delete the rows for the company:
    • delete from BSSI0300 where INTERID = 'enter the company ID here'
      and BSSI_Product_ID = 5150

After you complete these steps, VCPR should be removed from the selected company only.

See also

Removing Program Information in Microsoft Dynamics GP

Removing Vendor Contract Pricing & Rebates in Windows

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Program Information in Microsoft Dynamics GP

When you remove VCPR, you must also remove the product information and dictionaries in Microsoft Dynamics GP.

To remove product information and dictionaries, follow these steps:

  1. Exit Microsoft Dynamics GP.
  2. Open the File Explorer, and go to the folder where Microsoft Dynamics GP is installed.
    For example, C:\Program Files (x86)\Microsoft Dynamics\GP2016.
  3. Make a backup of the DYNAMICS.SET file.
  4. Open DYNAMICS.SET in a text editor (for example, Notepad).
  5. Select and delete the following two lines in the top section of the file:
    • The line with the product name: Vendor Contract Pricing.
    • The line with the product number, which is above the line with the product name.
      The product number is 5150.
  6. Select and delete the three lines in the lower section of the file that have the following file names: BSSI52.DIC, BS52FRMS.DIC, and BS52RPTS.DIC.

    7. For example:
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/BSSI52.DIC
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/Data/BS52FRMS.DIC
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/Data/BS52RPTS.DIC

  7. Go to the first line of the DYNAMICS.SET file. This line has a number that represents the number of installed products in GP. Decrease that number by 1. For example, if the number is 42, change it to 41.
  8. Save the changes to DYNAMICS.SET, and exit the text editor.

VCPR is completely removed from Microsoft Dynamics GP.

See also

Removing Vendor Contract Pricing & Rebates Tables in Microsoft Dynamics GP

Removing Vendor Contract Pricing & Rebates in Windows

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Vendor Contract Pricing & Rebates in Windows

When you remove VCPR from Microsoft Dynamics GP, you must also remove it from Windows.

If you are updating VCPR, you must remove it from Windows before you run the new installer (.msi) file in the system.

To remove VCPR from Windows, follow these steps:

  1. Open the Windows Control Panel, and select Uninstall a program.
  2. In the Programs and Features window, in the list of installed programs, select the program you want to uninstall.
  3. Select Uninstall.

The Uninstall wizard runs, and when it completes, VCPR is removed from Windows.

See also

Removing Vendor Contract Pricing & Rebates Tables in Microsoft Dynamics GP

Removing Program Information in Microsoft Dynamics GP

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Concepts

Articles within this category provide background and processing information on features within VCPR.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing and Updating Vendor Contract Pricing & Rebates

Who Performs the Installation?

A system administrator (or system owner) should install and configure the software in the Microsoft Dynamics GP environment.

Typical installation tasks include the following:

  • Downloading the software files
  • Extracting the files from the compressed (zipped) folder
  • Installing the software in Windows
  • Installing the program in Microsoft Dynamics GP
  • Registering the software
  • Enabling alternate forms and reports
  • Setting up user access to forms and reports
  • Setting up shortcuts to software windows

Installation Documentation

To install or update Vendor Contract Pricing & Rebates, visit the Binary Stream Portal (https://portal.binarystream.com/) External link , and review the installation documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Vendor Contract Pricing & Rebates

Who Performs the Setup?

After implementation, a system administrator (or system owner) typically takes over the day-to-day system and setup adjustments for the software in your Microsoft Dynamics GP environment.

Caution: Make sure that users do not enter transactions while you change setup options. If transactions are entered during the time you change the setup options, the integrity of the transaction data might be compromised.

Tip: As a best practice, make any changes to the setup options when all users are logged off. For example, notify all users a few days in advance indicating that changes to the system will be made and that the system is not available during that specified time frame.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Windows

An alternate or custom window is a standard Microsoft Dynamics GP window that has additional boxes or buttons that are specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate window to enter information specific to the program, the data is saved in the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

For some windows, if an alternate window is not used, an extra window for the program opens so that you can enter specific data for the program.

Caution: If the alternate window is not used or the data integration is performed only to the Microsoft Dynamics GP table, data is not saved to the parallel table, which can compromise your data or cause functionality issues.

To be able to use an alternate (or custom) window, the system administrator must select to use the alternate window in the Alternate/Modified Forms and Reports window.

Notes:

  • If you are not able to use the correct window for Vendor Contract Pricing & Rebates, you cannot correctly enter and reuse data or use the functionality in Vendor Contract Pricing & Rebates.
  • For some third‑party programs , the alternate window for Vendor Contract Pricing & Rebates is not available due to conflicts. For programs commonly used with Vendor Contract Pricing & Rebates, an extra window option exists. In these cases, use the alternate window for the third-party program.

    • If an extra window does not exist, contact Binary Stream to discuss possible options.

Security for Alternate Windows

Ensure that you set security for all alternate windows for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Reports

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Reports

An alternate or custom report is a standard Microsoft Dynamics GP report that has additional information that is specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate report to display information specific to the program, the information is from the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

You can use Report Writer to customize a standard Microsoft Dynamics GP report or a Vendor Contract Pricing & Rebates alternate report so that the report shows all the data you want to see.

To be able to use an alternate (or custom) report, the system administrator must select to use the alternate report in the Alternate/Modified Forms and Reports window.

Security for Alternate Reports

Ensure that you set security to all alternate reports for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extra Windows

An extra window is a secondary window that opens when a standard Microsoft Dynamics GP window is opened. You use the extra window to enter and save information for the transaction that is specific to the program. The information from the extra window is then saved in the parallel table and is used to create functionality.

Extra windows are used in the following situations:

  • The alternate window is assigned to another program.

    • Note icon. Note: Extra windows are not available for every alternate window - only windows in which conflicts occur.

  • Certain Microsoft Dynamics GP modules that are supported only use extra windows.

The extra window always opens when the standard Microsoft Dynamics GP window is opened. You can select OK to close the extra window. However, as a best practice, do not close the extra window directly. Instead, when you are finished with the main Microsoft Dynamics GP window, close it and the extra window will also close.

Security for Extra Windows

Ensure that you set security to all extra windows for the modules that you use. If you do not set the security, the extra window does not appear and data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Alternate or Custom Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Common Window Buttons

Many of the windows include buttons described only in this section to reduce repetition in the document. For more information on standard features that are used in the windows throughout Microsoft Dynamics GP, see the article named Common window elements in the Microsoft Dynamics GP documentation.

Button Name | Icon | Description
Cancel |  | Closes the window without saving any changes.
Clear |  | Clears all boxes in the window.
Copy |  | Copies the selected data, or all data in the window, to the clipboard.
Delete |  | Removes the current record from its associated table. Deletes the current record.
Expansion | Expansion Arrow icon. | Opens the expansion window associated with the field or option.
Find |  | Opens the associated find window.
Lookup |  | Opens the associated Lookup window for a field.
Note |  | Opens the associated note window for a field.
OK |  | In a setup window, saves the data to its associated table. In an Inquiry, closes the window. You do not usually select OK to close a window, except when in an Inquiry window.
Print |  | Prints the report associated with the window.
Redisplay |  | Updates the view of the contents in the window.
Save |  | In a Cards or Maintenance window, saves the data or record to its associated table.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Import Data: File Format

The following tables provide information on the CSV file formats for importing data using the Import window.

Before you import data, review these Closed data format tips.

When using Microsoft Excel (or other spreadsheet editor) to modify the data in the import file, keep in mind these tips for formatting your data:

  • Avoid using commas (,) for dollar amounts

    • To format the cells, use the Number format, not the Currency format. Also, do not use the Accounting format.

  • Do not use commas (,) or quotation marks (" ") in text cells (for example, comment text)

    • During the import, commas and quotation marks are "read" as a separate column.

  • If any of the data has leading zeros (for example, invoice number 000012345), you might need to save the file in the spreadsheet format (XLSX) until you are ready to import the file

    • When you are ready to import the file, save the file to a CSV format.If you need to review the data, open the CSV file in a text editor to retain the leading zeros. If you open the file in Microsoft Excel (or other spreadsheet editor), the leading zeros disappear.

  • Before you save the file to a CSV format, remove
    • all blank rows
    • additional header rows
    • columns you added for reference purposes
      When data is imported, the mapping is based on the column number not the column header name.

    • When a file is imported, the import uses the column numbers. The import mapping is not based on column header names.

You can import the following data:

Closed Contract
Column | Description
Contract ID | The contract ID.
Contract Description | Description of contract
Contract Class
Manufacturer Contract Number
Contract Start Date | Start date of the contract.
Contract End Date | End date of the contract.
Vendor ID
Vendor Item Number
Rebate Item
  • 0 - no
  • 1 - yes
Contract Qty
Rebate Unit Cost
Purchase Cost
Contract Price
Closed Contract customer
Column | Description
Contract ID | The contract ID.
Customer Number | The customer number.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Examples

Articles within this category provide examples on a feature or processing information in VCPR.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Distributions for Sales Transactions: Example

When an item on a sales transaction is a rebate item, the distributions are updated to reflect rebate calculations.

This article demonstrates three scenarios where different types of distributions are created, depending on the selected settings in the System Setup window and whether the transaction results in an Inventory Variance.

Each scenario has an example to illustrate the distributions created for processing a rebate. The examples in each scenario use the following information:

  • Purchase Price: 50.75
  • Rebate Amount: 31.34
  • Net Amount: 19.41
  • Sell Price: 22.90
  • Commission: 0.69

Scenario 1

In the System Setup window, Enable Net COGS is cleared, and the following distributions are created:

  • Debit RECV - Credit SALES
  • Debit COMMEXP - Credit COMMPAY
  • Debit OTHER - Credit OTHER
  • Debit COGS - Credit INV: added during posting process

The Debit OTHER (for Rebate Receivable) and Credit OTHER (for Rebate Expense) accounts are specified in the System Setup window.

The amount for the two rebate distributions is calculated as follows:

Rebate Unit Cost * Invoice Quantity

The Site segment of the Rebate Expense distribution account is substituted using the Account Segment ID value from the Site Maintenance window for the Site ID assigned to each line of the transaction. As a result, if the transaction has multiple Site IDs, the account substitution functionality can create multiple Rebate Expense distributions

Example 1: The following table shows an example of the distributions:

Distribution | DR | CR
AR | 22.90 |
Sales |  | 22.90
Commissions Expense | 0.69 |
Commissions Payable |  | 0.69
Rebate Receivable | 31.34 |
Rebate Expense |  | 31.34
COGS | 50.75 |
Inventory |  | 50.75

Scenario 2

In the System Setup window, Enable Net COGS is selected, and the following distributions are created:

  • Debit RECV - Credit SALES
  • Debit COMMEXP - Credit COMMPAY
  • Debit OTHER: added during posting process
  • Debit COGS - Credit INV: added during posting process

The Debit OTHER (for Rebate Receivable) account is specified in the System Setup window.

Example 2: The following table shows an example of the distributions:

Distribution | DR | CR
AR | 22.90 |
Sales |  | 22.90
Commissions Expense | 0.69 |
Commissions Payable |  | 0.69
Rebate Receivable | 31.34 |
COGS | 19.41 |
Inventory |  | 50.75

Scenario 3

In the System Setup window, Enable Net COGS is selected, and Microsoft Dynamics GP creates a depletion that does not equal the contract cost, that is, an Inventory Variance. The inventory depletion calculated by Microsoft Dynamics GP does not calculate exactly to 50.75 but calculates to 52.00 instead, resulting in a variance of 1.25.

In this scenario, the following distributions are created:

  • Debit RECV - Credit SALES
  • Debit COMMEXP - Credit COMMPAY
  • Debit OTHER (for Rebate Receivable): added during posting process
  • Debit COGS - Credit INV: added during posting process
  • Debit or Credit OTHER (for Variance): added during posting process

The Debit OTHER (for Rebate Receivable) account is specified in the System Setup window.

The Debit or Credit OTHER (for Variance) account is automatically entered from the default Variance account of the item on the Item Account Maintenance window.

Example 3: The following table shows an example of the distributions:

Distribution | DR | CR
AR | 22.90 |
Sales |  | 22.90
Commissions Expense | 0.69 |
Commissions Payable |  | 0.69
Rebate Receivable | 31.34 |
COGS | 19.41 |
Inventory |  | 52.00
Inventory Variance | 1.25 |

Note icon. Note: COGS remains at 19.41 as it should, but the extra 1.25 is written off to an inventory variance account.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Distributions for the Rebate Process: Example

You can process rebates in the Rebate Process window. If an item is a rebate item, then a credit memo is automatically created for the selected document in the AP account for that particular vendor or manufacturer when the item is selected and processed.

The following examples use this information to demonstrate the distributions for processing a rebate.

In the System Setup window:

  • The Rebate Receivable account is 11400-00-01.

In the Vendor Account Maintenance window:

  • The Accounts Payable account for a selected vendor is 20000-00-01.
  • The Purchase account for a selected vendor is 12000-00-01

The amounts are set as follows:

  • Purchase Price: 50.75
  • Rebate Amount: 31.34
  • Net Amount: 19.41
  • Sell Price: 22.90

Example 1

In the System Setup window, Enable Net COGS is cleared:

  • Credit PURCHASE account
  • Debit PAY account
Distribution | DR | CR
12000-00-01 PURCH |  | 31.34
20000-00-01 PAY | 31.34 |

Example 2

In the System Setup window, Enable Net COGS is selected:

  • Credit PURCHASE account
  • Debit PAY account
Distribution | DR | CR
11400-00-01 PURCH |  | 31.34
20000-00-01 PAY | 31.34 |

Rebates Recognized Through a Manufacturer

Rebates do not have to be recognized through the selling vendor. They can be recognized through a manufacturer as well. For instance, while a distributor may sell goods that are eligible for rebate from the manufacturer, it may be the manufacturer that remits the rebate.

In these cases, the vendor ID used in the Contracts Maintenance window should be replaced with the vendor ID of the manufacturer and not the ID of the selling vendor. The vendor ID of the manufacturer must be set up in the vendor file prior to recognizing the rebate through a manufacturer. As a result, the AP debit note for the rebate accumulates in the AP account of the manufacturer.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Workflows and Procedures

Articles within this category provide step-by-step instructions for using a feature. These instructions tend to be window based.

Workflows provide overall instructions on how to use a feature, which include setup and processing instructions. Workflows often direct you to other window-specific instructions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using the Area Page

You can get direct access to the VCPR custom menus from the VCPR area page.

  • In your Microsoft Dynamics GP Home area page, in the Navigation Pane, select the tab for the BSSI program you want to use.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Returning Items

To return items in a sales invoice, follow these steps:

  1. Open the Sales Transaction Entry window.
  2. Select a sales invoice.
  3. Select Additional > Create Return, which opens the Create Return window.
  4. Complete all boxes on window.
  5. Open the Sales Invoice Return Item Selection window.
  6. Select the items you want to return, and select Post.
  7. After the returns are processed, select OK to return to the Create Return window.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Associating a Vendor Contract with a Dropship Purchase Order

Introduced in VCPR for Microsoft Dynamics GP 2015 R2 (14.00.0804) (build 516), 2016 R2 (build 603), and 2018 RTM (build 702).

To associate a vendor contract with a dropship purchase order, follow these steps:

  1. On the Sales Transaction Entry window ( Transactions > Sales > Sales Transaction Entry), create a dropship purchase order and specify the Rebate Contract ID.
  2. Select Actions > Purchase, which opens the Purchase Order Preview window.
  3. On the PO tab, select the Vendor ID.

    4. The Rebate Contract ID is updated with the lowest contract ID associated with the vendor, and the unit price is also automatically updated.

  4. Generate the purchase order.

If you need instructions for creating and then generating the purchase order, see the Microsoft Dynamics GP documentation. These steps provide information on updating the VCPR boxes during the purchase order creation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Windows

Articles within this category provide information about the functionality of the windows within VCPR, including fields and buttons.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


System Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Vendor Contract Pricing > System Setup

Use this window to select the default values and options for using VCP.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Create PO Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Vendor Contract Pricing > Create PO Setup

Use this window to set up how you want purchase orders to be created from the selected line items on the Create Purchase Orders window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Class: Overview

Button showing that window Overview page is currently viewed.

Cards > Vendor Contract Pricing > Contract Class

Use this window to set up the contract classes to assign to a contract.

Note icon. Note: Contract classes that are attached to existing contracts cannot be deleted.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Vendor Contract Pricing > Contract Maintenance

Use this window to set up contracts for customer discounts or vendor rebates.

Note icon. Note: If any item in a contract already exists in a sales document, the contract cannot be deleted.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Customers: Overview

Button showing that window Overview page is currently viewed.

Cards > Vendor Contract Pricing > Contract Maintenance > Customer button

Use this window to attach customers to the contract. To recogonize the rebate, the customer must be attached to the contract. However, to recognize a discount, the customer does not need to be attached to the contract.

The information about the contract is automatically entered based on the Contract Maintenance window. Customers can only be added once to each contract.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Lookup: Overview

Button showing that window Overview page is currently viewed.

Cards > Vendor Contract Pricing > Contract Maintenance > Customer button > Select Customers

Use this window to attach a range of customers to a vendor contract. To recogonize the rebate, the customer must be attached to the contract. However, to recognize a discount, the customer does not need to be attached to the contract. Customers can only be added once to each contract.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copy Contract: Overview

Button showing that window Overview page is currently viewed.

Cards > Vendor Contract Pricing > Contract Maintenance > Copy button

Use this window to create a copy of the current contract. The contract number for the new contract is automatically generated. All associated items and customers are also copied. When the copy is complete, the new contract is displayed in the window. You can then make changes to the new contract.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Select Item: Overview

Button showing that window Overview page is currently viewed.

Cards > Vendor Contract Pricing > Contract Maintenance > Select Inventory Items

Use this window to select a range of inventory items for the contract. In this window, you specify various criteria for the range of items selected.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Find Item: Overview

Button showing that window Overview page is currently viewed.

Cards > Vendor Contract Pricing > Contract Maintenance > Find button

Use this window to find an item in the contact. This window is useful when several items are associated with a contract and you want to find the information for one or a few specific items without scrolling through the whole item list.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry

Use this window to enter quotes, sales orders, fulfillment orders, invoices, back orders, and returns. You also can use this window to modify, delete, and void sales documents.

When Validate Transfer is selected on the System Setup window and you transfer a document, a check on the SOP document lines is performed to verify if the contract is a valid contract. If one of the document lines has an invalid contract, the SOP document is not transferred.

When Calculate on Transfer is selected on the System Setup window, the rebate is recalculated when transferring a document from a Quote to an Order and then from an Order to an Invoice. The Contract, Quote, or Order document must be active for the rebate calculation to occur. If the Contract, Quote, or Order is not active, a new contract is used and the transfer is recalculated based on the new contract.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Distributions for Sales Transactions: Example

Associating a Vendor Contract with a Dropship Purchase Order

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Item Detail Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry > Item Expansion button

Use this window to add, delete, or modify item information for the document that you are entering.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Distributions for Sales Transactions: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Contract Lookup: Overview

Button showing that window Overview page is currently viewed.

Sales Transaction Entry > Rebate Contract ID Lookup button
Sales Item Detail Entry > Rebate Contract ID Lookup button

Use this window to view a list of valid contracts for a particular item, customer, unit of measure, and document date. The records in this window are sorted by Rebate/Discount Cost. You then select a contract ID to update the Rebate Contract ID box on the Sales Transaction Entry or Sales Item Detail Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Create Return: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry > Additional > Create Return

Use this window to automatically create a SOP return or a return material authorization (RMA) for previously invoiced sales transactions.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Invoice Return Item Selection: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry > Additional > Create Return and enter values in the boxes including the Sales Document

When you create a return, use this window to view the rebate contract information from the invoice.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Returning Items

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Order Extra: SOP Entry: Overview

Button showing that window Overview page is currently viewed.

Sales > Transactions > Sales Order Entry

Use this extra window to view and change additional data provided by the VCPR.

When the VCPR alternate window is not used, this extra window appears when you open the Sales Transaction Entry window or the Sales Transaction Inquiry Zoom window. If you close the extra window, you can open it again by selecting Additional > Vendor Contract Extra.

When you select a line in the scrolling window of the Sales Transaction Entry window or the Sales Transaction Inquiry Zoom window, the boxes are updated with values for the selected line.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchase Order Entry: Overview

Button showing that window Overview page is currently viewed.

Purchasing > Transactions > Purchase Order Entry

Use this alternate window to enter purchase orders and to modify purchase orders with New, Released, and Change Order statuses.

When you enter the Item and Quantity Ordered on a purchase order line, the Manufacturer Contract Number, Rebate Contract ID, and the Unit Cost are automatically filled in with the lowest purchasing cost for this item and vendor, if a valid contract exists for the Vendor ID, Item, and Date.

You can override the contract purchasing cost or change the contract associated with the line item. No validation is performed whether it is attached to SOP or not.

When you manually enter a purchase order and the contract does not exist, the pricing is from the RETAIL contract.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Changing the Cost

On this window, you can change the contract purchasing cost. When the cost is changed, you are asked to override the contract unit cost and to remove the contract ID.

  • If you choose to override the contract unit cost, you can also choose to remove the contract ID. The cost for the item remains at the new value.
    When the contract is removed and the purchase order line is linked to a sales order, the contract is removed from the sales order. When the cost on the purchase order is changed, the cost on the sales order is also changed.
  • If you choose not to override the contract unit cost, the contract ID remains, but the cost is changed back to the contract cost.

Changing the Contract

On this window, you can change the contract associated with the line item. When the contract is changed and the purchase order line is linked to a sales order, the sales order is updated with the contract from the purchase order. Also, the cost on the sales order is updated with the cost from the purchase order.

Changing the Quantity

On this window, you can change the contract quantity. When the quantity entered is greater than the remaining quantity on the contact, you are asked to override the contract quantity.

  • If you choose to override the contract quantity, the contract ID is kept the same.
  • If you choose not to override the contract quantity, the contract ID is removed.
    Overriding the contract quantity when the purchase order line is linked to a sales order, does not change the sales order.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchase Order Preview: Overview

Button showing that window Overview page is currently viewed.

Sales > Transactions > Sales Transaction Entry > enter a back order or order with line items that need quantities to be purchased > Purchase button

Purchasing > Transactions > Purchase Requisitions > enter a requisition > Purchase button

Use the alternate version of this window to view the purchase orders that could be generated from the sales document.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Changing the Cost

On this window, you can change the contract purchasing cost. When the cost is changed, you are asked to override the contract unit cost and to remove the contract ID.

  • If you choose to override the contract unit cost, you can also choose to remove the contract ID. The cost for the item remains at the new value.
    When the contract is removed and the purchase order line is linked to a sales order, the contract is removed from the sales order. When the cost on the purchase order is changed, the cost on the sales order is also changed.
  • If you choose not to override the contract unit cost, the contract ID remains, but the cost is changed back to the contract cost.

Changing the Contract

On this window, you can change the contract associated with the line item. When the contract is changed and the purchase order line is linked to a sales order, the sales order is updated with the contract from the purchase order. Also, the cost on the sales order is updated with the cost from the purchase order.

Changing the Quantity

On this window, you can change the contract quantity. When the quantity entered is greater than the remaining quantity on the contact, you are asked to override the contract quantity.

  • If you choose to override the contract quantity, the contract ID is kept the same.
  • If you choose not to override the contract quantity, the contract ID is removed.
    Overriding the contract quantity when the purchase order line is linked to a sales order, does not change the sales order.

See also

Associating a Vendor Contract with a Dropship Purchase Order

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


PO Extra: PO Entry: Overview

Button showing that window Overview page is currently viewed.

Purchasing > Transactions > Purchase Order Entry

Use this extra window to view and change additional data provided by the VCPR.

When the VCPR alternate window is not used, this extra window appears when you open the Purchase Order Entry window. If you close the extra window, you can open it again by selecting Additional > Vendor Contract Extra.

When you select a line in the scrolling window of the Purchase Order Entry window, the boxes are updated with values for the selected line.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


PO Extra: Receivings Entry: Overview

Button showing that window Overview page is currently viewed.

Purchasing > Transactions > Receivings Transaction Entry

Use this extra window to view and change additional data provided by the VCPR.

When the VCPR alternate window is not used, this extra window appears when you open the Receivings Transaction Entry window. If you close the extra window, you can open it again by selecting Additional > Vendor Contract Extra.

When you select a line in the scrolling window of the Receivings Transaction Entry window, the boxes are updated with values for the selected line.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Inquiry: Overview

Button showing that window Overview page is currently viewed.

Access from the Sales Transaction Entry window or the Sales Transaction Inquiry Zoom window

Use this window to view information about a contract.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Customers Inquiry: Overview

Button showing that window Overview page is currently viewed.

Sales Transaction Entry > Rebate Contract ID > Customer button
Sales Transaction Inquiry Zoom window

Use this window to view the customers attached to a contract.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales > Sales Documents > Document Number link

Use this modified window to view line item details for historical documents.

The rebate Margin for the entire document is a calculated value and is calculated each time a new document is displayed.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Distribution Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales > Sales Documents > Document Number Link > Distributions button

Use this modified window to view line item details for historical documents.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchase Order Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.
Purchasing > Inquiry > Purchase Order Documents > select at least one Include option > Redisplay button > select a purchase order > PO Number link

Use this window to view detailed information about previously entered documents.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivings Transaction Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.
Purchasing > Inquiry > Purchase Order Documents > select at least one Include option for a receipt > Redisplay button > select a shipment or shipment/invoice > Receipt No. link

Use this window to view detailed information about previously entered documents.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Import: Overview

Button showing that window Overview page is currently viewed.

Cards > Vendor Contract Pricing > Contract Maintenance > Import Contract button

Use this window to import contract and/or contract customer information from a file.

The import file must be a comma-delimited text file. For file format details, see Import Data: File Format.

See also

Import Data: File Format

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Listview: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Vendor Contract Pricing > Contract Listview

Use this window to display a list of contracts. You can specify a range to restrict the displayed contracts. You can also attach customers to the displayed contracts.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Select Customer: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Vendor Contract Pricing > Contract Listview > Add button

Use this window to add customers to the contracts selected on the Contract Listview window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Create Purchase Orders: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Vendor Contract Pricing > Create Purchase Orders

Use this window to view a list of all the sales orders that have back order quantities. You can then select the sales order document and create a purchase order.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Rebate Process: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Vendor Contract Pricing > Rebate Processing

Use this window for submitting rebates to a manufacturer or vendor. Only invoices that have been posted appear in this window.

See also

Distributions for the Rebate Process: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Software Inc., Trademarks, and Disclaimers

Binary Stream is an award-winning, Microsoft Gold certified partner that develops enterprise-grade, add-on software to enhance Microsoft Dynamics 365 Finance, Dynamics 365 Business Central, and Dynamics GP.

As a 7-time President's Club award winner and frequent ISV of the year finalist, Binary Stream is among the top 5% of Microsoft Dynamics partners worldwide and continues to be a leading solution provider to customers in the finance, healthcare, hospitality, real estate, manufacturing telecom, and software industries.

Covering critical functions including subscription billing automation, lease administration, multi-entity management, and supply chain optimization, our solutions have supported thousands of users in over 30 countries.

Copyright

Copyright © 2025 Binary Stream Software Inc. Published in Canada. All rights reserved.

Intellectual Property

This document does not provide you with any legal rights to any intellectual property in any Binary Stream product.

Your right to copy this documentation is limited by copyright law and the terms of the software license agreement. As such, you may only copy and use this document for your internal, reference purposes.

Limitation of Liability

Binary Stream Software Inc. assumes no responsibility or liability for any errors or inaccuracies that may appear in this manual. Information and views expressed in this document may change without notice. Examples depicted herein are provided for illustration only.

Trademarks

Microsoft, Microsoft Dynamics, Dexterity, Excel, Outlook, SQL Server, and Windows are registered trademarks of the Microsoft group of companies. All other trademarks are the property of their respective owners, including product names for Binary Stream Software.

The names of companies, products, people and/or data used in window illustrations and sample output are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

Warranty Disclaimer

Binary Stream Software Inc. disclaims any warranty regarding any sample code contained in this documentation, including the warranties of merchantability and fitness for a particular purpose.

License Agreement

Use of this product is covered by a license agreement provided by Binary Stream Software Inc. If you have any questions, please call the Binary Stream office at +1.604.522.6300.

Support Versions

Vendor Contract Pricing & Rebates for Microsoft Dynamics GP is supported in Canada and the United States.

Last updated: Thursday, December 18, 2025

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support

If you require support, or want the latest information about your software, visit the Binary Stream Portal (https://portal.binarystream.com/) External link. You can access the following information and services from the Binary Stream Portal:

  • Product information and downloads - provides the latest product information and software downloads
  • Knowledge base - provides you with solutions to common issues that customers experience
  • Frequently asked questions - provides you with answers to frequently asked general questions about Binary Stream and Binary Stream products
  • Help desk - provides you with a way to submit new support cases for issues that you experience and cannot find a solution; you can also update your existing support cases

For sales and purchasing information, visit www.binarystream.com [image] .

For more information about Binary Stream support, review the following:

  • Customer support policy
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Tips for Using the Documentation

To search for the content you want, use one of the following options:

  • Select the Contents tab, and browse through the article names.
  • Select the Index tab, and type keywords for content that you want.
  • Use the Search box to search for keywords or phrases.
    Tip: To search for a phrase, put quotation marks around the phrase. For example, "big red car".

Images within the Documentation

Many of the images that appear in the documentation are smaller than the actual size. To view the full-size of an image, select the image. Selecting the full-size image closes it and returns you to the content you are reviewing.

For example, select the following image of the Binary Stream Portal to see the full-size version of the image:

Note icon. Note: You might have to make the size of your window larger to be able to see the full-size image properly.

Tip: For large images, maximize the size of the window before you select the image to view it.

Videos within the Documentation

Some articles include videos that provide more information about a particular setting or a task. When you select the link to watch a video, the video opens in a new web browser tab or window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Accessing the Extra Windows for All Binary Stream Programs

For the Microsoft Dynamics GP 2016 Web Client, Microsoft introduced a change such that only one Microsoft Dynamics GP window can be active at a time. So if you are not using the alternate window for the Binary Stream program, the extra window is not visible. Instead, the extra window is hidden behind the currently active window.

Use one of the following methods to access the Binary Stream extra window:

  • In the active window, select the Additional button, and then select the extra window you want to make active.
  • In the Web client Navigation pane, select the Window Search [image] button, which opens the Search for a Form or Report window. In the search window, select the extra window you want to make active.

After you select the extra window, it becomes the active window and appears in front of the main Microsoft Dynamics GP window.

See also

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Integrations with Other Binary Stream Programs

Vendor Contract Pricing & Rebates currently integrates with the following Binary Stream programs:

  • While eMailer Manager does not explicitly integrate with any specific Binary Stream program, it is compatible with all Binary Stream programs.
  • Vendor Contract Pricing & Rebates currently does not integrate with any Binary Stream program.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Documentation for Vendor Contract Pricing & Rebates

Welcome to the documentation for Vendor Contract Pricing & Rebates for Microsoft Dynamics GP.

The documentation provides information in the following categories:

  • Installation
  • Concepts
  • Examples
  • Workflows and Procedures
  • Windows
  • Integration

In the Contents tab, a book icon representing each category is available. Expand a book to view the articles within the category. If a book does not appear for a category, information within the category is not available for VCPR.

For tips on how to find the content you want, see Using the documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Buttons

Cancel

Closes the window.

Redisplay

Updates the scrolling window or list view.

Select

Selects the currently-highlighted record, closes this window, and updates the previous window with the information for the selected record.

You also can double-click the record in the scrolling window to select it.

Sort

Sorts the information in the window according to the column heading shown on the button.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Fields

Find by

Specify the name or identifier of the record you want. When you press Tab on the keyboard, the list scrolls to the record that most closely matches the text you type. The label for this field changes and is based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window

Button showing that window Overview page is currently viewed.

lookup button

Use this window to select the record you want to view or edit. The fields, buttons, and list view colunms differ based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Create PO Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Create PO Setup: Fields

Consolidate based on Vendor

Select to consolidate the selected line items into one purchase order for each vendor.

Consolidate based on Vendor & Like Items

Select to consolidate the selected line items that have the same item number, same unit of measure, and same site into one purchase order for each vendor.

Separate PO for each Line

Select to create a separate purchase order for each of the selected line items.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


System Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


System Setup: Fields

Contract Option

Use Extended Pricing

Select to use the following functionality:

  • If an extended price for an item exists, even if a contract price exists for the item, the extended price is used in sales order processing transactions.
  • If an extended price for an item does not exist, and a contract price exists for the item, the contract price is used in sales order processing transactions.

Contract ID Next Number

Specify the default next number for the numeric part of the contract ID. Maximum length 10 charaters. Ensure that you specify a number that is the maximum length of this box, and include leading zeros, if needed (for example, 0000000011).

Contract ID Prefix

Specify the prefix for contract IDs that are automatically generated in the Contract Maintenance window. Maximum length five characters.

Default Purchasing Cost from Contract Maintenance Area

Select which cost the Purchasing Cost box on the Contract Maintenance window uses for each item: the Standard Cost or the Current Cost of the item.

Distribution Option Area

Rebate Receivable

Select the account number to be used for creating a debit distribution for a sales document to reflect the rebate calculations.

Rebate Expense

Select the account number to be used for creating a credit distribution for a sales document to reflect the rebate calculations.

Enable Net COGS

Select to create a Net COGS line for each SOP invoice distribution.

Select to create a credit memo that has a credit to the Rebate Receivable account you selected and a debit to the accounts payable account selected in the Vendor Account Maintenance window, when you process rebates in the Rebate Process window.

Excel Rebate Export Path

Select a folder where the Excel Rebate Report file is to be exported to when you select Excel on the Rebate Process window.

Sales Transfer Option Area

Validate Transfer

Select to automatically check if a contract is valid when an SOP document is transferred. If the contract for an SOP line has expired, the SOP document is not transferred.

Calculate on Transfer

Select to recalculate the rebate when transferring a document from a Quote to an Order and an Order to an Invoice. A check is performed to ensure that the Contract, Quote or Order used for rebate calculation is still active.

If the Contract, Quote or Order is not active, VCPR looks for a new contract and then recalculates the transfer based on the new contract.

User Defined 1 Label

Specify the label to be used for the User Defined 1 box in the Contract Maintenance window.

User Defined 2 Label

Specify the label to be used for the User Defined 2 box in the Contract Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Class: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Class: Fields

Contract Class

Specify a unique contract class ID.

Contract Class Description

Specify a description for the contract class.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Customers: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Select Customers

Opens the Customer Lookup window, where you can add a range of customers.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Customers: Fields

Contract Description

Displays the description of the selected contract.

Contract ID

Displays the contract to which you add contacts. The default contract is from the Contract Maintenance window, but you can change it.

Novation Contract ID

Specify the Novation contract ID. Available if you use Novation Contracting, a healthcare contracting service.

Vendor ID

Displays the vendor ID associated with the contract.

Vendor Name

Displays the vendor name.

Scrolling Window

Customer ID

Select the customer ID you want to add.

Tip: To add a range of customers, select Select Customers and use the Customer Lookup window.

Customer Name

Displays the customer name.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Listview: Buttons

Add

Opens the Select Customer window, where you can add a customer to the selected contract. If the customer is already attached to the selected contract, the contract is skipped.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Listview: Fields

Range By

Specify the range by which you want to display and restrict data:

  • Contract ID
  • Contract Class
  • Manufacturer Contract No.
  • Vendor ID
  • Customer ID
  • Item Number
  • Start Date
  • End Date

After you select the range, you then select whether to display All records within the range or specify a To/From range to restrict the displayed records.

List View

Displays all records that match the criteria that you selected.

The list view displays the following columns:

  • Contract ID
  • Contract Description
  • Item Number
  • Contract Class
  • Start Date
  • Expire Date
  • Vendor ID
  • Manufacturer Contract Number
  • Contract Price
  • Contract Cost
  • Contract Qty
  • Qty Remaining
  • User Defined 1
  • User Defined 2
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Copy

Opens the Copy Contract ID window, where you can create a copy of the current contract. The contract number for the new contract is automatically generated, and all associated items and customers are copied. After the contract is copied, the new contract is displayed in the window.

Customer

Opens the Contract Customers window, where you can select the customers to attach to the contract.

Delete

Deletes the current record.

Find

Opens the Find item window, where you can search for an item in a contract.

Import Contract

Opens the Import window, where you can import new or existing contracts and customers for contracts from a text file.

Save

Saves the record and any changes to the window.

Select Inventory Items

Opens the Select Items window, where you can select the inventory items.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Maintenance: Fields

Contract Class

Select a contract class. Contract classes are set up in the Contract Class window.

Contract Description

Specify a description for the contract.

Contract ID

For a new contract ID, displays an automatically generated contract ID based on the Contract ID Prefix and Contract ID Next Number for new contracts on the System Setup window.

For an existing contract ID, specify the contract ID.

Contract Start/Expiration Date

Select the dates on which the customer or vendor contract starts and expires.

After the expiration date, no additional discounts or rebates can be generated against the contract.

Manufacturer Contract #

Specify the manufacturer contract number, if applicable, for tracking.

User Defined 1 and User defined 2

Type content for the user defined fields for additional tracking information. The label for these boxes is set up on the System Setup window.

Vendor ID

Select a vendor.

Vendor Name

Displays the vendor name.

Scrolling Window

Contract Cost

Displays the calculated contract cost in the Purchasing U of M.

The calculation of this cost is based on the setting for Default Purchasing Cost from Contract Maintenance on the System Setup window:

  • When Standard Cost is selected, the calculation is as follows:

    • Contract Cost = Standard Cost in Purchasing U of M – Rebate/Discount

  • When Current Cost is selected, the calculation is as follows:

    • Contract Cost = Current Cost in Purchasing U of M – Rebate/Discount

Contract Price

Specify the selling price for the contract in Default Selling U of M. Optional.

Contract Quantity

Specify the quantity of items in base unit of measure that are allowed to be sold at the contract price.

Current Cost

Displays the current cost for the item from the item’s card. Read-only.

Item Description

Displays the description for the item. Read-only.

Item Number

Select the item number. Duplicate items are not allowed within the same contract.

Note icon. Note: If an item already exists in a sales document, the item line cannot be deleted.

List Price

Displays the list price of the item. Read-only.

Purchasing Cost

Displays the purchasing cost in the Purchasing U of M. When Rebate is selected, the default purchasing cost is the standard cost or current cost (depending on the settings on the System Setup window). Requires a value when Rebate is cleared.

To use a manual discount, specify the Purchasing Cost, and the Rebate % and Rebate/Discount are automatically calculated. The Purchasing Cost that you type cannot exceed the default purchasing cost.

Purchasing U of M

Displays the unit of measure for purchasing the item from the item’s card. Read-only.

Rebate

Indicates whether a rebate or discount is applied to an item:

  • Selected: Indicates a rebate is applied to the item.

    When this option is selected, the Purchasing Cost default purchase cost is the standard cost or current cost (depending on the settings on the System Setup window). If needed, you can change the purchasing cost. The Contract Cost is calculated when you specify a Rebate % or a Rebate/Discount amount.
    • If Standard Cost selected on the System Setup window, the rebate formula is as follows:
      Contract Cost = Standard Cost in Purchasing U of M – Rebate/Discount
    • If Current Cost selected on the System Setup window, the rebate formula is as follows:
      Contract Cost = Current Cost in Purchasing U of M – Rebate/Discount
  • Cleared: Indicates a discount is applied to the item.

    When this option is cleared, you can manually specify the Purchasing Cost. The Rebate % or a Rebate/Discount amount are automatically calculated. The Contract Cost is equal to the Purchasing Cost.
    Discount Formula: Contract Cost = Purchasing Cost

Rebate %

Displays the rebate percentage. Requires a value when Rebate is selected.

  • When a rebate percentage is entered and Standard Cost is selected on the System Setup window, the Rebate/Discount is calculated as follows:

    • (Rebate Percent / 100) * Standard Cost in Purchasing U of M

  • When a rebate percentage is entered and Current Cost is selected on the System Setup window, the Rebate/Discount is calculated as follows:

    • (Rebate Percent / 100) * Current Cost in Purchasing U of M

Rebate/Discount

Displays the rebate or discount amount in the Purchasing U of M. This value is automatically calculated for a rebate when you specify the Rebate % or for a discount when you specify the Purchasing Cost. Requires a value when Rebate is selected.

  • When this value is entered and Standard Cost is selected on the System Setup window, the Rebate % is calculated as follows:

    • (Rebate/Discount / Standard Cost in Purchasing U of M) * 100

  • When this value is entered and Current Cost is selected on the System Setup window, the Rebate % is calculated as follows:

    • (Rebate/Discount / Current Cost in Purchasing U of M) * 100

Remaining Qty

Displays the remaining number of items in base unit of measure that can be sold at the contract price. This value is automatically updated each time a contract item is used. Read-only.

U of M

Select the unit of measure for the selected item number. You must select a unit of measure from the U of M Schedule of the item. The default value is the Default Purchasing U of M for the item.

Selling U of M

Displays the unit of measure for selling the item. Read-only.

Standard Cost

Displays the standard cost for the item from the item’s card. Read-only.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copy Contract: Buttons

Cancel

Cancels all changes and closes the window.

OK

Creates a copy of the selected contract and assigns a new contract number. When the copy process is completed, the new contract is displayed in the Contract Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copy Contract: Fields

Copy From Contract ID

Displays the contract number that you selected to copy from the Contract Maintenance window.

Copy To Contract ID

Displays the contract number for the new contract.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Create Purchase Orders: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Creates a purchase order for the selected documents based on the settings on the Create PO Setup window:

  • When Consolidate based on Vendor is selected, one purchase order is created for each vendor.
  • When Consolidate based on Vendor & Like Items is selected, combines line items that have the same item number, same unit of measure, and same site into one purchase order for each vendor.
  • When Separate PO for each Line is selected, a separate purchase order is created for each line item.

If a contract is assigned to the purchase order, the Purchasing Cost is from the contract. Otherwise, the Purchasing Cost is the unit cost from the sales order processing line.

Purchase orders are created with the Back Order Quantity and are committed to the sales order.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Create Purchase Orders: Fields

Range By

Specify the range by which you want to display data:

  • Document Number
  • Document Date
  • Customer
  • Batch ID

After you select the range, you then select whether to display All records within the range or specify a To/From range to restrict the displayed records.

List View

Displays all records that match the criteria that you selected.

The list view displays the following columns:

  • Document No.
  • Customer
  • Customer Name
  • Document Date
  • Item Number
  • U Of M
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Create Return: Buttons

OK

Creates the return and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Create Return: Fields

Create RMA

Select to create a RMA record in Returns Management.

When this option is cleared, the RMA record in Returns Management is not created.

Customer ID

Select the customer ID for this return.

Customer Name

Displays the customer name.

Origin

Displays Sales Invoice.

Reason Code

Select a reason for the return.

RMA Type

Select the RMA type.

Sales Document

Select the original invoice document that matches the return. The Sales Invoice Return Item Selection window opens.

SOP Type

Select Return.

Type ID

Select the type of return.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Lookup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Attaches the selected range of customers to the contract and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Lookup: Fields

Ranges

Specify the range of customers you want to attach to the contract:

  • Customer Class
  • Customer ID
  • State
  • Territory

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Find Item: Buttons

Cancel

Cancels all changes and closes the window.

Find

Finds the item for the contract on the Contract Maintenance window, and scrolls the list of items so the item that you want appears as the first item on the list.

If the item does not exist for the contract, scrolls the list to the item that near the item number that you entered.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Find Item: Fields

Find

Specify the name of the item you want to find.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Import: Buttons

Import

The import action depends on the the file(s) selected:

  • If only a contract file is selected, creates a contract based on the data in the file.
  • If only a contract customer file is selected, attaches the customers to the contract displayed on the Contract Maintenance window.
  • If both a contract file and contract customer file are selected, creates a contract and attaches the customers to the newly created contract.

Only lines that do not contain errors can be imported. After the import process completes, any lines that contained errors are not imported and are printed on the exception report.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Import: Fields

Contract

Select the file that contains the contracts you want to import.

Contract Customers

Select the file that contains the contract customers you want to import.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Inquiry: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Inquiry: Fields

Contract Class

Displays the contract class.

Contract Description

Displays the description for the contract.

Contract ID

Displays the contract ID.

Contract Start/Expiration Date

Displays the dates on which the customer or vendor contract starts and expires.

Manufacturer Contract #

Displays the manufacturer contract number, if applicable, for tracking.

User Defined 1 and User defined 2

Displays the content for the user defined fields for additional tracking information.

Vendor ID

Displays the vendor ID.

Vendor Name

Displays the vendor name.

Scrolling Window

Contract Cost

Displays the calculated contract cost in the Purchasing U of M for the rebate or discount.

Contract Price

Displays the selling price for the contract in Default Selling U of M. Optional.

Contract Quantity

Displays the quantity of items in base unit of measure that are allowed to be sold at the contract price.

Current Cost

Displays the current cost for the item from the item’s card.

Item Description

Displays the description for the item.

Displays the item number.

List Price

Displays the list price of the item.

Purchasing Cost

Displays the purchasing cost in the Purchasing U of M. When Rebate is selected, the default purchase cost is the standard cost or current cost (depending on the settings on the System Setup window).

Purchasing U of M

Displays the unit of measure for purchasing the item.

Rebate

Displays the whether a rebate or discount is applied to an item:

  • Selected: Indicates a rebate is applied to the item.
  • Cleared: Indicates a discount is applied to the item.

Rebate %

Displays the rebate percentage.

Rebate/Discount

Displays the rebate or discount amount in the Purchasing U of M.

Remaining Qty

Displays the remaining number of items in base unit of measure that can be sold at the contract price.

U of M

Displays the unit of measure for the selected item number.

Selling U of M

Displays the unit of measure for selling the item.

Standard Cost

Displays the standard cost.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Customers Inquiry: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Customers Inquiry: Fields

Contract Description

Displays the description of the contract.

Contract ID

Displays the contract ID.

Novation Contract ID

Displays the Novation contract ID. Available if you use Novation Contracting, a healthcare contracting service.

Vendor ID

Displays the vendor ID associated with the contract.

Vendor Name

Displays the vendor name.

Scrolling Window

Customer ID

Displays the customer ID for each customer attached to the contract.

Customer Name

Displays the customer name.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchase Order Inquiry Zoom: Fields

Scrolling Window

Vendor Contract #

Displays the vendor contract number.

Rebate Contract ID

Displays the rebate contract ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivings Transaction Inquiry Zoom: Fields

Scrolling Window

Vendor Contract #

Displays the vendor contract number.

Rebate Contract ID

Displays the rebate contract ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Inquiry Zoom: Fields

Margin

Displays the margin percentage.

Net Cost

Displays the net cost of the item.

Rebate

Displays the whether a rebate or discount is applied to an item:

  • Selected: Indicates a rebate is applied to the item.
  • Cleared: Indicates a discount is applied to the item.

Rebate Contract ID

Displays the contract ID associated with the rebate item.

Rebate Unit Cost

Displays the unit cost of the rebate item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


PO Extra: PO Entry: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


PO Extra: PO Entry: Fields

Displays the item number.

PO Number

Displays the purchase order entry number from the Purchase Order Entry window.

Rebate Contract ID

Displays the rebate contract ID. If the customer is assigned to a rebate contract that contains this item, this value is automatically entered.

If this value is cleared, the unit cost of the purchase order line is updated to the default unit cost in Microsoft Dynamics GP.

Receipt No.

Displays the receipt number from the Purchase Order Entry window.

Vendor Contract Number

Displays the vendor contract number.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchase Order Preview: Fields

Rebate Contract ID (Item tab)

Introduced in VCPR for Microsoft Dynamics GP 2015 R2 (14.00.0804) (build 516), 2016 R2 (build 603), and 2018 RTM (build 702).

Displays the rebate contract ID. This value is automatically updated based on the Vendor ID selected on the PO tab. The contract ID that appears is the lowest cost contract available that exists for the Vendor ID, Item, and Date.

You can override the unit cost or extended cost or change the contract associated with the line item. No validation is performed whether it is attached to the purchase order or not.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Rebate Process: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Changes the status of the selected documents that have not been submitted to Submitted.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Rebate Process: Fields

Batch ID

Specify the batch ID for processing the transactions.

Both

Select to display submitted and non-submitted documents.

When you select or change the Submitted, Not Submitted, and Both options, select Redisplay to update the data in the list view.

Not Submitted

Select to display only documents that have not been submitted.

When you select or change the Submitted, Not Submitted, and Both options, select Redisplay to update the data in the list view.

Range By

Specify the range by which you want to display data:

  • Contract ID
  • Customer ID
  • Invoice Date
  • Item Number
  • Vendor ID

After you select the range, you then select whether to display All records within the range or specify a To/From range to restrict the displayed records.

Submit

Select to display only documents that have been submitted.

When you select or change the Submitted, Not Submitted, and Both options, select Redisplay to update the data in the list view.

List View

Displays all records that match the criteria that you selected.

The list view displays the following columns:

  • Submitted
  • Contract ID
  • SOP Date
  • SOP Number
  • SOP Type
  • Customer Number
  • Customer Name
  • Rebate Item
  • Item Number
  • Item Description
  • Quantity
  • U of M
  • Site
  • Unit Cost
  • Rebate Cost
  • Extended Cost
  • Unit Price
  • Extended Price
  • Standard Cost
  • Vendor ID
  • Manufacturer Contract Number
  • Contact
  • Customer Address #1
  • Customer Address #2
  • Customer Address #2
  • Customer Phone Number
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


PO Extra: Receivings Entry: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


PO Extra: Receivings Entry: Fields

Displays the item number.

PO Number

Displays the purchase order entry number from the Receivings Transaction Entry window.

Rebate Contract ID

Displays the rebate contract ID. If the customer is assigned to a rebate contract that contains this item, this value is automatically entered. Read-only.

Receipt No.

Displays the receipt number from the Receivings Transaction Entry window.

Vendor Contract Number

Displays the vendor contract number.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Item Detail Entry: Buttons

Delete

Deletes the current record.

Rebate Contract ID Lookup

Opens the Vendor Contract Lookup window, where you can select the vendor contract for the item and customer combination.

After the contract ID is entered on the Sales Item Detail Entry window, the Unit Price is automatically updated with the unit price from the contract. If the quantity entered on the sales order is greater than the remaining quantity on the contract, you are asked if you want to override the cost.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Item Detail Entry: Fields

Contract ID

Available only when you use Omni Price by Rockton.

Specify the corresponding Omni Price contract ID that you want to associate with the VCPR Rebate Contract ID that you enter on this window. Optional.

If you select the Contract ID zoom link, the Omni Price Contract Maintenance window opens and displays the Omni Price contract for the Contract ID that you entered.

Net Cost

Displays the contract cost after rebate. This value is automatically entered with the lowest purchase cost for this item and customer when the U of M contains a value. Read-only.

Margin

Displays the rebate margin for the line item. This value is automatically calculated when the lowest rebate cost is calculated. Read-only.

Rebate Contract ID

Displays the rebate contract ID. If the customer is assigned to a rebate contract that contains this item, this value is automatically entered. Read-only.

Rebate Due

Displays the rebate amount. This box works the same as the Rebate Unit Cost box.

Rebate Item

Indicates whether the item is a rebate item. A selected check box indicates the item is a rebate item. Read-only.

Rebate Unit Cost

Displays the rebate amount. This value is automatically entered when the U of M contains a value. This value is related to the Net Cost. If the U of M changes, so does the contract ID. Read-only.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Buttons

Rebate Contract ID Lookup

Opens the Vendor Contract Lookup window, where you can select the vendor contract for the item and customer combination.

After the contract ID is entered on the Sales Transaction Entry window, you are asked if you want to automatically update the Unit Price with the unit price from the contract. If the quantity entered on the sales order is greater than the remaining quantity on the contract, you are asked if you want to override the cost.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Fields

Margin (document)

Displays the rebate margin for the whole document. Read-only. This value is updated each time a different document is displayed in the Sales Transaction Entry and when a new line is added to the document.

The rebate Margin for the document is calculated as follows:

((Total Unit Price – Total Net Cost or Unit Cost)/Total Unit Price) * 100

Margin (line item)

Displays the rebate margin for the line item. This value is automatically calculated when the lowest rebate cost is calculated. Read-only.

The rebate Margin for each line item is calculated as follows:

((Unit Price – Net Cost or Unit Cost)/Unit Price) * 100

Net Cost

Displays the contract cost after rebate. This value is automatically entered with the lowest purchase cost for this item and customer when the U of M contains a value. Read-only.

Rebate Item

Indicates whether the item is a rebate item. A selected check box indicates the item is a rebate item. Read-only.

Rebate Contract ID

Select the rebate contract ID. If the customer is assigned to a rebate contract that contains this item, this value is automatically entered.

Rebate Unit Cost

Displays the rebate amount. This value is automatically entered when the U of M contains a value. This value is related to the Net Cost. If the U of M changes, so does the contract ID. Read-only.

Unit Cost

Displays the unit cost for an item.

This value is affected by the Enable Net COGS option on the System Setup window:

  • When this option is selected and the item is a rebate item, the Unit Cost is updated with Net Cost when the invoice is posted.
  • When this option is not selected and the item is not a rebate item, the Unit Cost is updated with Net Cost when the invoice is posted. Distributions are updated with the Net Cost.

Unit Price

Displays the unit price.

When Use Extended Pricing on the System Setup window is selected, the unit price is affected by whether the extended pricing exists or not:

  • When extended pricing for the inventory item exists, the extended pricing is used for the unit price (even if a Contract Price exists for the selected Rebate Contract ID).
  • When extended pricing for the inventory item does not exist, the Contract Price for the selected Rebate Contract ID is used for the unit price.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Select Customer: Buttons

Cancel

Cancels all changes and closes the window.

OK

Adds the customer to the contracts that are selected on the Contract Listview window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Select Customer: Fields

Customer Number

Select the customer you want to add to the contracts that are selected on the Contract Listview window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Select Item: Buttons

Cancel

Cancels all changes and closes the window.

OK

Attaches the selected range of items to the contract and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Select Item: Fields

Contract Price

Specify a rebate or discount contract selling price.

Contract QTY

Specify the contract quantity of items agreed to for this contract.

Purchase Cost

Specify a rebate or discount purchase cost.

Range

Select a range of customers by:

  • Category One
  • Item Class
  • Item Number

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Rebate

Specify the rebate or discount dollar amount.

Rebate Item

Select to indicate that the items are rebate items.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Order Extra: SOP Entry: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Order Extra: SOP Entry: Fields

Item Number

Displays the item number from the Sales Transaction Entry window or the Sales Transaction Inquiry Zoom window.

Margin

Displays the rebate margin for the line item.

Net Cost

Displays the contract cost after rebate.

Rebate Contract ID

Displays the rebate contract ID. If the customer is assigned to a rebate contract that contains this item, this value is automatically entered. Read-only.

Rebate Due

Displays the rebate amount due.

Rebate Item

Indicates whether the item is a rebate item. A selected check box indicates the item is a rebate item. Read-only.

Rebate Unit Cost

Displays the rebate amount.

SOP Number

Displays the sales order document number from the Sales Transaction Entry window or the Sales Transaction Inquiry Zoom window.

SOP Type

Displays the sales order document type from the Sales Transaction Entry window or the Sales Transaction Inquiry Zoom window.

Total Margin

Displays the rebate margin for the whole document from the Sales Transaction Entry window or the Sales Transaction Inquiry Zoom window. Read-only.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Contract Lookup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Selects the vendor contract for the item and customer combination and enters the contract ID in the Rebate Contract ID on the Sales Transaction Entry or Sales Item Detail Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Contract Lookup: Fields

Base UofM

Displays the base unit of measure for the item.

Customer Number

Displays the customer number.

Document Date

Displays the document date.

Displays the item number.

List View

Displays a list of all contracts that meet the specified criteria.

The list view displays the following columns:

  • Contract ID
  • Rebate Cost
  • Start Date
  • Expiration Date
  • Contract Class
  • Purchasing Cost
  • Cost
  • Price
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.